WordPress.org

Support

Support » Installation » Can’t add themes, or install update 2.8 to 2.8.1-beta!

Can’t add themes, or install update 2.8 to 2.8.1-beta!

  • cribscapes
    Member

    @cribscapes

    I get the same message when I try a theme install…

    Upgrade WordPress
    Downloading update from http://wordpress.org/nightly-builds/wordpress-2.8-latest.zip.

    Unpacking the update.

    Warning: ftp_mkdir() [function.ftp-mkdir]: File already exists in /Library/WebServer/Documents/uppernet/wordpress/wp-admin/includes/class-wp-filesystem-ftpext.php on line 240
    Could not create directory: /Library/WebServer/Documents/uppernet/wordpress/wp-content/upgrade

    Installation Failed

    Help!

Viewing 8 replies - 1 through 8 (of 8 total)
  • mrmist
    Forum Janitor

    @mrmist

    What happens if you manually create the wp-content/upgrade directory in advance?

    You could try applying the 2.8.1 beta manually instead of through auto-update.

    For me the current nightly (2.8.1 beta1) applies ok through auto-update assuming that permissions are set correctly on the existing files.

    cribscapes
    Member

    @cribscapes

    Hi mrmist,

    The upgrade directory already exists, and just for the sake of it, I completely opened the permissions on all the folders in the wp-content directory! Same results.

    So, I did recreate the folders manually, the permissions had changed but the owner hadn’t! and… same problem!

    Here is the text from a theme upload attempt…

    Downloading install package from http://wordpress.org/extend/themes/download/fusion.3.0.3.zip.

    Unpacking the package.

    Warning: ftp_mkdir() [function.ftp-mkdir]: File already exists in /Library/WebServer/Documents/uppernet/wordpress/wp-admin/includes/class-wp-filesystem-ftpext.php on line 240
    Could not create directory /Library/WebServer/Documents/uppernet/wordpress/wp-content/upgrade

    Same issue and same folder. Should not this be the theme’s folder that has the trouble? and any idea what is this File already exists message? It doesn’t make sense to me.

    Thanks in advance!

    cribscapes
    Member

    @cribscapes

    P.S. I manually downloaded the theme and ftp’d it into the theme directory and it worked just fine.

    I installed 2.8 and ran into bugs. I tried to upgrade manually to 2.8.1 but something went wrong and the site went missing. I completely reloaded my last save (from Friday) but it won’t show. But I can, oddly enough, get into the dashboard, where is says I am still running 2.8.1. Any hints on where to go? I’m not very technically savvy. I’d as soon reload 2.7 but I really don’t know how to go about it.

    I realized I missed a file in my reinstall. Am checking now to verify that I correctly reloaded EVERYTHING.

    onephpcoder
    Member

    @onephpcoder

    This is common problem. and solution is very easy. just give chmode777 to the directory.
    More info can be found here:
    http://hecode.com/cant-add-themeswp-plugins-or-install-update/

    I think chmod 777 is not a good idea… This solution worked for me: http://stuff24.de/blog/wordpress-could-not-create-directory-theme-install-failed/

    ragulka
    Participant

    @ragulka

    Well, for me, none of the solutions seem to work.

    I get this error:

    Downloading update from http://downloads.wordpress.org/plugin/akismet.2.2.9.zip…
    Unpacking the update…
    Could not create directory. /
    Actions: Return to Plugins page

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘Can’t add themes, or install update 2.8 to 2.8.1-beta!’ is closed to new replies.